modules

# Class: sambaMungedDial

Source Location: /lib/modules/sambaSamAccount/sambaMungedDial.inc

### Class Overview

Manages terminal server settings for Samba 3.

#### Author(s):

- Cajus Pollmeier

### Variables

- $ctx
- $ctxattributes

### Methods

- decode_munged
- encode_munged
- endian
- genTime
- getBrokenConn
- getConnectClientDrives
- getConnectClientPrinters
- getCtxMaxConnectionTimeF
- getCtxMaxDisconnectionTimeF
- getCtxMaxIdleTimeF
- getDefaultPrinter
- getInheritMode
- getMunged
- getOnDemandFlags
- getReConn
- getShadow
- getTsLogin
- hexstr
- is_samba_path
- load
- munge
- readTime
- setBrokenConn
- setConnectClientDrives
- setConnectClientPrinters
- setCtxMaxConnectionTimeF
- setCtxMaxDisconnectionTimeF
- setCtxMaxIdleTimeF
- setDefaultPrinter
- setInheritMode
- setReConn
- setShadow
- setTsLogin
- strhex
- to8bit

### Class Details

[line 57]
Manages terminal server settings for Samba 3.

#### Tags:

author: | Cajus Pollmeier

[ Top ]

### Class Variables

#### $ctx = array(
'CtxCfgPresent' => '551e0bb0',
'CtxCfgFlags1' => '00e00010',
'CtxCallback' => '',
'CtxShadow' => '01000000',
'CtxMaxConnectionTime' => '',
'CtxMaxDisconnectionTime' => '',
'CtxMaxIdleTime' => '',
'CtxKeyboardLayout' => '',
'CtxMinEncryptionLevel' => '00',
'CtxWorkDirectory' => '',
'CtxNWLogonServer' => '',
'CtxWFHomeDir' => '',
'CtxWFHomeDirDrive' => '',
'CtxWFProfilePath' => '',
'CtxInitialProgram' => '',
'CtxCallbackNumber' => '')

[line 60]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $ctxattributes = array("CtxCfgPresent", "CtxCfgFlags1", "CtxCallback",
"CtxShadow", "CtxMaxConnectionTime", "CtxMaxDisconnectionTime",
"CtxMaxIdleTime", "CtxKeyboardLayout", "CtxMinEncryptionLevel",
"CtxWorkDirectory", "CtxNWLogonServer", "CtxWFHomeDir",
"CtxWFHomeDirDrive", "CtxWFProfilePath", "CtxInitialProgram",
"CtxCallbackNumber")

[line 79]

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### method decode_munged [line 250]

`void decode_munged( $munge)`

Takes a base64-encoded MungedDial-String and returns an array of included parameters and values

#### Parameters:

| $munge |

[ Top ]

### method encode_munged [line 176]

`void encode_munged( $params)`

Encode full MungedDial-String

#### Parameters:

| $params |

[ Top ]

### method endian [line 121]

`void endian( $src)`

endian

#### Parameters:

| $src |

[ Top ]

### method genTime [line 127]

`void genTime( $minutes)`

genTime

#### Parameters:

| $minutes |

[ Top ]

### method getBrokenConn [line 383]

`void getBrokenConn( )`

gets Broken-Connection value: disconnect/reset
[ Top ]

### method getConnectClientDrives [line 488]

`void getConnectClientDrives( )`

gets connect-client-drive-at-logon value: enabled/disabled
[ Top ]

### method getConnectClientPrinters [line 514]

`void getConnectClientPrinters( )`

gets connect-client-printers-at-logon value: enabled/disabled
[ Top ]

### method getCtxMaxConnectionTimeF [line 568]

`void getCtxMaxConnectionTimeF( )`

SMARTY: gets the checkbox state of "Connection"
[ Top ]

### method getCtxMaxDisconnectionTimeF [line 589]

`void getCtxMaxDisconnectionTimeF( )`

SMARTY: gets the checkbox state of "Disconnection"
[ Top ]

### method getCtxMaxIdleTimeF [line 610]

`void getCtxMaxIdleTimeF( )`

SMARTY: gets the checkbox state of "Idle"
[ Top ]

### method getDefaultPrinter [line 541]

`void getDefaultPrinter( )`

gets set-client-printer-to-default value: enabled/disabled
[ Top ]

### method getInheritMode [line 437]

`void getInheritMode( )`

gets Inherit-config-from-client value: enabled/disabled
[ Top ]

### method getMunged [line 311]

`void getMunged( )`

Returns ready-to-run mungedDialString to be filled into ldap
[ Top ]

### method getOnDemandFlags [line 325]

`void getOnDemandFlags( )`

Returns array of flags, which can be set on-demand with activated java-script
[ Top ]

### method getReConn [line 410]

`void getReConn( )`

gets Reconnection value: from any client/from previous client only
[ Top ]

### method getShadow [line 465]

`void getShadow( )`

gets shadow value (enum): 0-4
[ Top ]

### method getTsLogin [line 355]

`void getTsLogin( )`

Gets Terminal-Server-Login value: enabled/disabled
[ Top ]

### method hexstr [line 109]

`void hexstr( $hex)`

hexstr

#### Parameters:

| $hex |

[ Top ]

### method is_samba_path [line 162]

`void is_samba_path( $path)`

Checks if this is a valid Samba path.

#### Parameters:

| $path |

[ Top ]

### method load [line 305]

`void load( $mungedDial)`

function takes a base64-encoded sambaMungedDial

#### Parameters:

| $mungedDial |

[ Top ]

### method munge [line 212]

`void munge( $paramName, $paramValue, $isString)`

Setup parameter given by paramName to MungedDial-Format

#### Parameters:

| $paramName |
| $paramValue |
| $isString |

[ Top ]

### method readTime [line 135]

`void readTime( $time)`

readTime

#### Parameters:

| $time |

[ Top ]

### method setBrokenConn [line 396]

`void setBrokenConn( $checked)`

sets Broken-Connection value: disconnect/reset

#### Parameters:

| $checked |

[ Top ]

### method setConnectClientDrives [line 501]

`void setConnectClientDrives( $checked)`

sets connect-client-drive-at-logon value: enabled/disabled

#### Parameters:

| $checked |

[ Top ]

### method setConnectClientPrinters [line 527]

`void setConnectClientPrinters( $checked)`

sets connect-client-printers-at-logon value: enabled/disabled

#### Parameters:

| $checked |

[ Top ]

### method setCtxMaxConnectionTimeF [line 581]

`void setCtxMaxConnectionTimeF( $checked)`

SMARTY: sets the checkbox "Connection" to unchecked

#### Parameters:

| $checked |

[ Top ]

### method setCtxMaxDisconnectionTimeF [line 602]

`void setCtxMaxDisconnectionTimeF( $checked)`

SMARTY: sets the checkbox "Disconnection" to unchecked

#### Parameters:

| $checked |

[ Top ]

### method setCtxMaxIdleTimeF [line 623]

`void setCtxMaxIdleTimeF( $checked)`

SMARTY: sets the checkbox "Idle" to unchecked

#### Parameters:

| $checked |

[ Top ]

### method setDefaultPrinter [line 554]

`void setDefaultPrinter( $checked)`

sets set-client-printer-to-default value: enabled/disabled

#### Parameters:

| $checked |

[ Top ]

### method setInheritMode [line 449]

`void setInheritMode( $checked)`

sets Inherit-config-from-client value: enabled/disabled

#### Parameters:

| $checked |

[ Top ]

### method setReConn [line 423]

`void setReConn( $checked)`

sets Reconnection value: from any client/from previous client only

#### Parameters:

| $checked |

[ Top ]

### method setShadow [line 476]

`void setShadow( $checked, $value)`

sets shadow value

#### Parameters:

| $checked |
| $value |

[ Top ]

### method setTsLogin [line 369]

`void setTsLogin( $checked)`

Sets Terminal-Server-Login value: enabled/disabled

#### Parameters:

| $checked |

[ Top ]

### method strhex [line 97]

`void strhex( $string)`

strhex

#### Parameters:

| $string |

[ Top ]

### method to8bit [line 147]

`void to8bit( $string)`

to8bit

#### Parameters:

| $string |

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:53:06 +0200 by phpDocumentor 1.4.1